<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class RefIdTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('ref_id')
            ->label('شناسه مرجع')
            ->sortable()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
